CREATE TABLE ffs_location (
    LOCATION_ID              NUMBER(10, 0) ,
    LABEL                    VARCHAR2(4000),
    POSTAL_CODE              VARCHAR2(144) ,
    CITY                     VARCHAR2(640) ,
    STATE_PROVINCE           VARCHAR2(512) ,
    STREET_ADDRESS           VARCHAR2(4000),
    COORD_STATUS             VARCHAR2(36)  ,
    COORD_ACCURACY           NUMBER(3, 0)      NOT NULL,
    COORD_X                  NUMBER(8, 5)  ,
    COORD_Y                  NUMBER(8, 5)  ,
    TRAVEL_KEY               VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    COORD_VIEWPORT_RADIUS    NUMBER(6, 0)  ,
    PERSONAL_ADDRESS_FLAG    VARCHAR2(4)   ,
    LOCATION_ID              NUMBER(10, 0) ,
    LABEL                    VARCHAR2(4000),
    POSTAL_CODE              VARCHAR2(144) ,
    CITY                     VARCHAR2(640) ,
    STATE_PROVINCE           VARCHAR2(512) ,
    STREET_ADDRESS           VARCHAR2(4000),
    COORD_STATUS             VARCHAR2(36)  ,
    COORD_ACCURACY           NUMBER(3, 0)      NOT NULL,
    COORD_X                  NUMBER(8, 5)  ,
    COORD_Y                  NUMBER(8, 5)  ,
    TRAVEL_KEY               VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    COORD_VIEWPORT_RADIUS    NUMBER(6, 0)  ,
    PERSONAL_ADDRESS_FLAG    VARCHAR2(4)   ,
    CONSTRAINT pk_ffs_location PRIMARY KEY (LOCATION_ID, LOCATION_ID)
);
